Skip to main content
GET
/
templates
List templates
curl --request GET \
  --url https://api.mailrify.com/templates \
  --header 'Authorization: Bearer <token>'
{
  "templates": [
    {
      "id": "<string>",
      "name": "<string>",
      "subject": "<string>",
      "body": "<string>",
      "type": "TRANSACTIONAL",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "pageSize": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. The project is automatically derived from the key.

Query Parameters

limit
integer
default:20

Maximum items per page

Required range: 1 <= x <= 100
cursor
string

Pagination cursor

type
enum<string>
Available options:
TRANSACTIONAL,
MARKETING

Response

200 - application/json

List of templates

templates
object[]
total
integer
page
integer
pageSize
integer
totalPages
integer